﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Unity;

namespace Atelier.Forms
{
    public partial class FormStorage : Form
    {
        private readonly IStorageRepository _storageRepository;
        public FormStorage(IStorageRepository storageRepository, IFabricRepository fabricRepository)
        {
            InitializeComponent();
            _storageRepository = storageRepository ??
            throw new
            ArgumentNullException(nameof(storageRepository));
            comboBoxFabric.DataSource = fabricRepository.ReadFabrics();
            comboBoxFabric.DisplayMember = "FabricType";
            comboBoxFabric.ValueMember = "Id";
        }


        private void ButtonSave_Click(object sender, EventArgs e)
        {
            try
            {
                if (comboBoxFabric.SelectedIndex < 0)
                {
                    throw new Exception("Имеются незаполненные поля");
                }
                var currentDate = DateTime.Now.Date;
                _storageRepository.CreateStorage(Storage.CreateOperation(0, (int)comboBoxFabric.SelectedValue!, Convert.ToInt32(numericUpDownMetrage.Value), currentDate));
                Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при сохранении",
                MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        private void ButtonCancel_Click(object sender, EventArgs e) => Close();
    }
}
